Subject: Re: [PATCH] net: Handle gso packets in dev_forward_skb

From: [email-masked] (Eric W. Biederman)
Date: Mon, 28 Mar 2011 12:36:26 -0700

Eric Dumazet <[email-masked]> writes:

> Le dimanche 27 mars 2011 à 18:09 -0700, David Miller a écrit :
>> From: [email-masked] (Eric W. Biederman)
>> Date: Mon, 21 Mar 2011 15:00:56 -0700
>> 
>> > Eric Dumazet <[email-masked]> writes:
>> > 
>> >> Hmm, did you follow http://patchwork.ozlabs.org/patch/86815/
>> >> discussion ?
>> > 
>> > No.  It seems I missed it, but I do have the same problem, and
>> > essentially the same fix. 
>> 
>> Can someone work on getting this straightened out and resubmit the
>> final patch so I can apply something?
>> 
>
> Apparently Daniel is busy.
>
> I guess we can use Eric B. patch, then ?

That sounds good to me.

After reviewing the other thread to the best of my knowledge there are
no issues with the patch I submitted.  At worst I am 4 bytes extra
permissive about the mtu because of the way that path handles vlan
headers and that isn't something my patch changed.

Eric